<?php

/**
 * @file
 * Contains \Drupal\indeed_search\Form\JobsSearchForm.
 */

namespace Drupal\indeed_search\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Url;

/**
 * Implements a Jobs Search Form.
 */
class JobsSearchForm extends FormBase {

  /**
   * {@inheritdoc}.
   */
  public function getFormId() {
    return 'jobssearch';
  }

  /**
   * {@inheritdoc}.
   */
  public function buildForm(array $form, FormStateInterface $form_state) 
{
    
    $form['search_keyword'] = array(
      '#type' => 'textfield',
      '#title' => t('Search Keyword'),
      '#default_value' => '',
      '#size' => 30,
      '#maxlength' => 128,
      '#required' => FALSE,
      '#placeholder'=>'eg B.Tech,Drupal etc.'	
    );

     $form['search_location'] = array(
      '#type' => 'textfield',
      '#title' => t('Location'),
      '#default_value' => '',
      '#size' => 30,
      '#maxlength' => 128,
      '#required' => FALSE,
      '#placeholder'=>'eg Delhi,Gurgaon etc'	
    );
    
  
    $form['sort_by'] = array(
      '#type' => 'radios',
      '#title' => t('Sort By'),
      '#options'=> array('date' => t('Date'),'relevance' => t('Relevance')),
    );

    $form['submit'] = array(
      '#type' => 'submit',
      '#value' => $this->t('Search Jobs'),
    );

	 return $form;
    }
   

  /**
   * {@inheritdoc}
   */

public function validateForm(array &$form, FormStateInterface $form_state)
{

}

  /**
   * {@inheritdoc}
   */

public function submitForm(array &$form, FormStateInterface $form_state) 
{
	
    $keyword = $form_state->getValue('search_keyword');
      if($keyword == NULL)
	$keyword = " ";
  
 
    $location = $form_state->getValue('search_location');
      if($location == NULL )
	$location = " ";

    $sortby = $form_state->getValue('sort_by');
      if($sortby == NULL)
	$sortby = " ";

    $form_state->setRedirect('indeed_search.content_k.keyword.location.sortby',array('keyword'=>$keyword,'location'=>$location,'sortby'=>$sortby));
    	
}

}
